%global momorel 2

Summary: Momonga Linux background images
Name: momonga-backgrounds
Version: 5.1.1
Release: %{momorel}m%{?dist}
Source0: %{name}-%{version}.tar.bz2
License: "Momonga Project"
Group: User Interface/Desktops
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%description
Momonga Linux background image package.

%prep
%setup -q

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{_datadir}/backgrounds/images
cp -f *.png %{buildroot}%{_datadir}/backgrounds/images
rm -f %{buildroot}%{_datadir}/backgrounds/images/momonga*_screenshot.png

## mkdir and install for KDE4

# Momonga Theme
mkdir -p %{buildroot}%{_datadir}/wallpapers/Momonga/contents/images
install -m 644 mo_1024x768.jpg %{buildroot}%{_datadir}/wallpapers/Momonga/contents/images/1024x768.jpg
install -m 644 mo_1024x768.jpg %{buildroot}%{_datadir}/wallpapers/Momonga/contents/images/1280x1024.jpg
install -m 644 mo_1024x768.jpg %{buildroot}%{_datadir}/wallpapers/Momonga/contents/images/1440x900.jpg
install -m 644 mo_1024x768.jpg %{buildroot}%{_datadir}/wallpapers/Momonga/contents/images/1600x1200.jpg
install -m 644 mo_1024x768.jpg %{buildroot}%{_datadir}/wallpapers/Momonga/contents/images/1920x1200.jpg
install -m 644 mo_800x600.jpg %{buildroot}%{_datadir}/wallpapers/Momonga/contents/images/800x600.jpg
install -m 644 momonga_screenshot.png %{buildroot}%{_datadir}/wallpapers/Momonga/contents/screenshot.png
install -m 644 momonga_metadata.desktop %{buildroot}%{_datadir}/wallpapers/Momonga/metadata.desktop

# Momonga Fly High Theme
mkdir -p %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/images
install -m 644 mo_flyhigh-1024x600.jpg %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/images/1024x600.jpg
install -m 644 mo_flyhigh-1024x768.jpg %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/images/1024x768.jpg
install -m 644 mo_flyhigh-1280x1024.jpg %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/images/1280x1024.jpg
install -m 644 mo_flyhigh-1280x800.jpg %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/images/1280x800.jpg
install -m 644 mo_flyhigh-1440x900.jpg %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/images/1440x900.jpg
install -m 644 mo_flyhigh-1600x1200.jpg %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/images/1600x1200.jpg
install -m 644 mo_flyhigh-1680x1050.jpg %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/images/1680x1050.jpg
install -m 644 mo_flyhigh-1920x1200.jpg %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/images/1920x1200.jpg
install -m 644 mo_flyhigh-800x600.jpg %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/images/800x600.jpg
install -m 644 momonga_flyhigh_screenshot.png %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/contents/screenshot.png
install -m 644 momonga_flyhigh_metadata.desktop %{buildroot}%{_datadir}/wallpapers/Momonga_Fly_High/metadata.desktop

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README
%{_datadir}/backgrounds/images/*
%{_datadir}/wallpapers/Momonga
%{_datadir}/wallpapers/Momonga_Fly_High

%changelog
* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (5.1.1-2m)
- rebuild against rpm-4.6

* Mon Jan 19 2009 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.1.1-1m)
- add a theme: Momonga Fly High including wide-screen-images for KDE 4.2

* Sun Oct 26 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (5.1-1m)
- modify for KDE 4.2

* Sun Aug 31 2008 Nishio Futoshi <futoshi@momonga-linux.org>
- (5.0-2m)
- fix %%files

* Thu Aug 28 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (5.0-1m)
- Momonga Linux 5

* Sun Jul 20 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.91-1m)
- Momonga Linux 5 beta
- add image (mo5bg-beta-1280x1024.png)

* Mon Jun 16 2008 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.90-1m)
- Momonga Linux 5 alpha
- add image (mo5bg-alpha-1280x1024.png)

* Sun May 25 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-4m)
- fix X-KDE-PluginInfo-License of metadata.desktop

* Sat May 24 2008 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-3m)
- install %%{_datadir}/wallpapers/Momonga/contents/images/*.png for KDE4

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (4.0-2m)
- rebuild against gcc43

* Thu Jul 19 2007 Masahiro Takahata <takahata@momonga-linux.org>
- (4.0-1m)
- add images (mo_bluevortex-*.png, mo_sunflower-*.png, mo_sunsetwave-*.png)

* Sun Jul 15 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0-0.5m)
- add mo4 wide display images (1680x1050)

* Wed Jul  4 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0-0.4m)
- fukkatsu momonga-chibi-fly.png

* Wed Jul  4 2007 Masaru SANUKI <sanuki@momonga-linux.org>
- (4.0-0.3m)
- add mo4 images (mo4bg-*)
- remove old images

* Fri Jun 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-0.2m)
- rename mo_kikyuuninotte-*.png to mo_kikyuninotte-*.png

* Fri Jun 22 2007 Ichiro Nakai <ichiro@n.email.ne.jp>
- (4.0-0.1m)
- add images (mo_flyhigh-*.png, mo_kikyuuninotte-*.png)
- add README to %%doc

* Fri Jun 30 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0-4m)
- modify README file

* Thu Jun 29 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0-3m)
- add images (mobox-*.png, moglassflower-*.png)

* Wed Jun  7 2006 Masaru SANUKI <sanuki@momonga-linux.org>
- (3.0-2m)
- add images (momonga-chibi-fly.png, momonga-choco.png, momonga-logo.png)

* Tue Jun  6 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (3.0-1m)
- add images (mo3bg-800x600.png, mo3bg-1024x768.png, mo3bg-1280x1024,
  mo3bg-1600x1200.png)

* Tue Nov  1 2005 Ichiro Nakai <ichiro@n.email.ne.jp>
- (1.0-3m)
- add images (mo_800x600.png, mo_1024x768.png) for kdebase

* Tue Apr 19 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0-2m)
- add image (mo2bg-800x600.png, mo2bg-1024x768.png)

* Tue Apr 19 2005 Masaru SANUKI <sanuki@momonga-linux.org>
- (1.0-1m)
- Create
